#! /bin/bash


# DO I EVEN NEED THIS FILE ? could i just put this stuff in maint_test.sh? or would it not modify the vars...


# you need to put absolutely everything in ""


#test_file=$1
#source $test_file

connect_to_telnet="open $host $port"


start_telnet()
{
	echo "open $host $port"
	sleep 1
}


run()
{
	echo "$connect_to_telnet"
	sleep 1

	run_this_test

}


#### DEPRICATED ######

run_telnet()
{
	echo "$connect_to_telnet"
	sleep 1
	echo -e "$request"
	echo
	sleep 1

# ret = $(arg | telnet)

}

run_a_test()
{
	{
	echo "----- $test_name -----"
	echo -e "$_RED$request$_END"
	} &> test.log

	echo -e "$request" | telnet
}


#######
# This is where stuff is launched
#######

#rm -rf telnet.out

#./webserv $config_file 2>&1 > webserv.log & run_all
#./webserv $config_file 2>&1 > webserv.log &
#./webserv $config_file &> /dev/null &
#./webserv $config_file 1>&1 > webserv.log &

#./webserv $config_file &> webserv.log &

#run_all
#run_this_test

#echo -e "${_GREEN}Running Telnet Test on '$test_name'${_END}"

#sleep 1

#run | telnet >> telnet.out
#run | telnet

#pkill webserv














